History
========

## 16-04-2021 Version 3.1.0

- [apply] Initial implementation
- [audsys_aud_unified_access_audit_is_enabled] Improved operation on initial run
- [no_users_are_assigned_the_default_profile] Use ORA12C_STRONG_VERIFY_FUNCTION for CIS_PROFILE
- [ora_cis] Nor warning on pdb when control in skip list

## 13-04-2021 Version 3.0.0

- [release] Totaly new release with support for multiple versions of CIS benchmark for multiple db versions

## 21-12-2020 Version 2.20

- [release] Add puppet 7 support to metadata

## 19-09-2019 Version 2.1.2

- [release] Add AIX support to metadata
- [rule_2_2_5] Fix error when Oracle not yet installed

## 08-05-2019 Version 2.1.1

- [rule_2_2_5] Add check for Oracle 19. On Oracle 19 this is obsolete
- [core] Allow override of unsafe values in other manifest parts
- [develop] Update Gemfile with pdk

## 26-03-2019 Version 2.1.0

- [core] Add support for running in container and pluggable databases
- [r_3_9] Add support for names profiles only (only parameter)
- [r_3_8] Add support for names profiles only (only parameter)
- [r_3_6] Add support for names profiles only (only parameter)
- [r_3_5] Add support for names profiles only (only parameter)
- [r_3_4] Add support for names profiles only (only parameter)
- [r_3_3] Add support for names profiles only (only parameter)
- [r_3_2] Add support for names profiles only (only parameter)
- [r_3_1] Add support for names profiles only (only parameter)
- [core] Add support for managing only named profiles (only parameter)

## 20-09-2018 Version 2.0.0

- [core] Add support for Puppet 6
- [core] Add Puppet 6 unit tests

## 12-09-2018 Version 1.1.2

- [core] Add GSM_PROF to exclude list for profile operations
- [r_3_10] Remove GSM_PROF from the skip list

## 12-09-2018 Version 1.1.1

- [r_3_10] Add GSM_PROF to skip list

## 28-08-2018 Version 1.1.0

- [r_3_10] Add Oracle 18 support
- [facts] Fix duplicate resource error in Oracle18

## 10-08-2018 Version 1.0.11

- [facts] Generate empty facts when Oracle not running

## 10-08-2018 Version 1.0.10

- [core] Use scoped functions
- [facts] Only run facts when oracle is running.

## 15-06-2018 Version 1.0.9

- [release] Add explicit support for Suse Linux
- [r_1_2] Exclude XS$NULL from test

## 27-05-2018 Version 1.0.8

- [r_3_8] Fix when used on initial run.

## 26-05-2018 Version 1.0.7

- [r_2_2_14] Use internal value oracle uses in stead of CIS documented value
- [acceptance] Fix tests for r_4_5_3
- [rule 4.5.5] Use the new ora_config feature with wildcard tables
- [core] Fix metadata
- [core] Add support for running on Oracle 11

## 04-04-2018 Version 1.0.6

- [rules::r_4_5_7] Fix duplicate declaration
- [test] Update tested Puppet versions
- [core] Change Rakefile
- [sync] Apply module_sync changes
- [sync] Add .sync.yml file

## 27-02-2018 Version 1.0.5

- [tasks] Add apply_rule task
- [type] Add rule alias to check available rules
- [release] Fix link to license in readme

## 25-01-2018 Version 1.0.4

- [release] Change text of license
- [quality] Only check once every week

## 24-01-2018 Version 1.0.3

- [rule_4_5_7] Fixed implementation
- [rule_4_5_7] Fix implementation
- [rule_4_5_6] Fix implementation
- [rule_4_5_5] Fix implementation
- [facts] Fix facts return multiple values for same user
- [revoke_role_righs] Don’t use an array value
- [revoke_user_rights] Don’t use an array value
- [rule_4_4_3] revoke rights from both users and roles
- [rule_4_4_1] revoke rights from both users and roles
- [rule_4_4_4] revoke rights from both users and roles
- [rule_4_4_2] revoke rights from both users and roles
- [rule_4_3_6] revoke rights from both users and roles
- [core] Fixed type in parameter description
- [rule_4_7] Fixed implementation
- [quality] Add acceptance tests
- [quality] Add checks on metadata

## 19-01-2018 Version 1.0.2

- [core] Add license notice to files
- [README] Updated for publishing on the forge

## 09-02-2017 Version 1.0.1

- [functions] Fix calling of on_sid function
